<?php

namespace Drupal\masquerade_nominate\Plugin\migrate\source;

use Drupal\migrate_drupal\Plugin\migrate\source\DrupalSqlBase;

/**
 * Currencies in d7 were built on ctools
 *
 * @MigrateSource(
 *   id = "d7_masquerade_users"
 * )
 */
class MasqueradeUsers extends DrupalSqlBase {

  /**
   * {@inheritdoc}
   */
  public function query() {
    // NB Only overriden ctools objects are even stored in the database.
    return $this->select('masquerade_users', 'mu')
      ->fields('mu', ['uid_from', 'uid_to']);
  }

  /**
   * {@inheritdoc}
   */
  public function fields() {
    return [
      'uid_from' => $this->t('The user'),
      'uid_to' => $this->t('The masquerader')
    ];
  }

  /**
   * {@inheritdoc}
   */
  public function getIds() {
    return [
      'uid_from' => [
        'type' => 'number',
      ],
      'uid_to' => [
        'type' => 'number',
      ],
    ];
  }

}
